{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "BRJ_ETAT"; 
            externalType = VARCHAR2; 
            name = brjEtat; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "BRJ_NUM"; 
            externalType = NUMBER; 
            name = brjNum; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "BRJ_ORDRE"; 
            externalType = NUMBER; 
            name = brjOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "BRJ_ORDRE"; 
            externalType = NUMBER; 
            isReadOnly = Y; 
            name = brjOrdreBis; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "GES_CODE"; 
            externalType = VARCHAR2; 
            name = gesCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TBO_ORDRE"; 
            externalType = NUMBER; 
            name = tboOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "UTL_ORDRE"; 
            externalType = NUMBER; 
            name = utlOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (exeOrdre, utlOrdre, tboOrdre, brjEtat, brjNum, gesCode, brjOrdre, brjOrdreBis); 
    className = "org.cocktail.abricot.server.metier.EOBordereauRejet"; 
    classProperties = (
        exeOrdre, 
        exercice, 
        utlOrdre, 
        mandats, 
        tboOrdre, 
        brjEtat, 
        brjNum, 
        gesCode, 
        titres, 
        brjOrdreBis, 
        typeBordereau, 
        utilisateur
    ); 
    externalName = "MARACUJA.BORDEREAU_REJET"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            exeOrdre, 
            exercice, 
            utlOrdre, 
            mandats, 
            tboOrdre, 
            brjEtat, 
            brjNum, 
            gesCode, 
            titres, 
            brjOrdreBis, 
            typeBordereau, 
            utilisateur
        ); 
        "_javaClientClassName" = "org.cocktail.abricot.client.eof.modele.EOBordereauRejet"; 
    }; 
    name = BordereauRejet; 
    primaryKeyAttributes = (brjOrdre); 
    relationships = (
        {
            destination = "ca_Exercice"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }, 
        {
            destination = Mandat; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = brjOrdre; sourceAttribute = brjOrdre; }); 
            name = mandats; 
        }, 
        {
            destination = Titre; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = brjOrdre; sourceAttribute = brjOrdre; }); 
            name = titres; 
        }, 
        {
            destination = "ca_TypeBordereau"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tboOrdre; sourceAttribute = tboOrdre; }); 
            name = typeBordereau; 
        }, 
        {
            destination = "ca_Utilisateur"; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = utlOrdre; sourceAttribute = utlOrdre; }); 
            name = utilisateur; 
        }
    ); 
    userInfo = {fetchSpecificationDictionary = {}; }; 
}
